## class OSGGA_EXPORT osgGA::CompositeGUIEventHandler

> CompositeGUIEventHandler allows GUIEventHandlers to be composed into hierarchies

## Inheritance:

### Public Methods

virtual const char* className()
virtual const CompositeGUIEventHandler* getComposite() const
virtual CompositeGUIEventHandler* getComposite()
virtual bool handle(const GUIEventAdapter& ea, GUIActionAdapter& aa)
virtual void accept(GUIEventHandlerVisitor& v)
virtual void getUsage(osg::ApplicationUsage& usage) const
  Get the keyboard and mouse usage of this manipulator
virtual bool addChild(GUIEventHandler* geh)
virtual bool removeChild(GUIEventHandler* geh)
unsigned int getNumChildren() const
GUIEventHandler* getChild( unsigned int i)
const GUIEventHandler* getChild( unsigned int i ) const
bool containsNode( const GUIEventHandler* node ) const
ChildList::iterator findChild( const GUIEventHandler* node )

### Public Members

typedef std::vector< osg::ref_ptr<GUIEventHandler> > ChildList

### Inherited from GUIEventHandler:

### Public Methods

META_Object (osgGA, GUIEventHandler) const () const

## Documentation

> CompositeGUIEventHandler allows GUIEventHandlers to be composed into hierarchies

`typedef std::vector< osg::ref_ptr<GUIEventHandler> > ChildList`

`virtual const char* className()`

`virtual const CompositeGUIEventHandler* getComposite() const`

`virtual CompositeGUIEventHandler* getComposite()`

`virtual bool handle(const GUIEventAdapter& ea, GUIActionAdapter& aa)`

`virtual void accept(GUIEventHandlerVisitor& v)`

`virtual void getUsage(osg::ApplicationUsage& usage) const`
  Get the keyboard and mouse usage of this manipulator

`virtual bool addChild(GUIEventHandler* geh)`

`virtual bool removeChild(GUIEventHandler* geh)`

`unsigned int getNumChildren() const`

`GUIEventHandler* getChild( unsigned int i)`

`const GUIEventHandler* getChild( unsigned int i ) const`

`bool containsNode( const GUIEventHandler* node ) const`

`ChildList::iterator findChild( const GUIEventHandler* node )`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.